<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: tivx_obj_desc.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>tivx_obj_desc.h File Reference</h1><hr/><a name="_details"></a><h2>Introduction</h2>
<p>Interface to object descriptor. </p>

<p><a href="tivx__obj__desc_8h_source.html">Go to the source code of this file.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Data Structures</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__remap__point__t.html">tivx_remap_point_t</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Remap point in remap table.  <a href="structtivx__remap__point__t.html#_details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__t.html">tivx_obj_desc_t</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Object descriptor.  <a href="structtivx__obj__desc__t.html#_details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__node__t.html">tivx_obj_desc_node_t</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Node object descriptor.  <a href="structtivx__obj__desc__node__t.html#_details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__image__t.html">tivx_obj_desc_image_t</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Image object descriptor as placed in shared memory.  <a href="structtivx__obj__desc__image__t.html#_details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__remap__t.html">tivx_obj_desc_remap_t</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Remap object descriptor as placed in shared memory.  <a href="structtivx__obj__desc__remap__t.html#_details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__matrix__t.html">tivx_obj_desc_matrix_t</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">matrix object descriptor as placed in shared memory  <a href="structtivx__obj__desc__matrix__t.html#_details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__lut__t.html">tivx_obj_desc_lut_t</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">lut object descriptor as placed in shared memory  <a href="structtivx__obj__desc__lut__t.html#_details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__pyramid__t.html">tivx_obj_desc_pyramid_t</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">pyramid object descriptor as placed in shared memory  <a href="structtivx__obj__desc__pyramid__t.html#_details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__convolution__t.html">tivx_obj_desc_convolution_t</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">convolution object descriptor as placed in shared memory  <a href="structtivx__obj__desc__convolution__t.html#_details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__threshold__t.html">tivx_obj_desc_threshold_t</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">threshold object descriptor as placed in shared memory  <a href="structtivx__obj__desc__threshold__t.html#_details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__distribution__t.html">tivx_obj_desc_distribution_t</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">distribution object descriptor as placed in shared memory  <a href="structtivx__obj__desc__distribution__t.html#_details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__array__t.html">tivx_obj_desc_array_t</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">array object descriptor as placed in shared memory  <a href="structtivx__obj__desc__array__t.html#_details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__objarray__t.html">tivx_obj_desc_objarray_t</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">object array object descriptor as placed in shared memory  <a href="structtivx__obj__desc__objarray__t.html#_details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__scalar__t.html">tivx_obj_desc_scalar_t</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Scalar object descriptor as placed in shared memory.  <a href="structtivx__obj__desc__scalar__t.html#_details">More...</a><br/></td></tr>
<tr><td colspan="2"><h2>Defines</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__obj__desc__cfg.html#gad471d737678c451088d2904a41c53bc4">TIVX_IMAGE_MAX_PLANES</a>&nbsp;&nbsp;&nbsp;(3u)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Max possible planes of data in an image.  <a href="group__group__tivx__obj__desc__cfg.html#gad471d737678c451088d2904a41c53bc4"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__obj__desc__cfg.html#ga4cc5e19e782439d7422fd08f47c17b09">TIVX_KERNEL_MAX_PARAMS</a>&nbsp;&nbsp;&nbsp;(10u)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Max parameters in a kernel.  <a href="group__group__tivx__obj__desc__cfg.html#ga4cc5e19e782439d7422fd08f47c17b09"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__obj__desc__cfg.html#gad70fbfdc1f0c57ecc19a1d29878cbe18">TIVX_NODE_MAX_OUT_NODES</a>&nbsp;&nbsp;&nbsp;(8u)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Max nodes taking output form a given node.  <a href="group__group__tivx__obj__desc__cfg.html#gad70fbfdc1f0c57ecc19a1d29878cbe18"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__obj__desc__cfg.html#ga65703b0b4923bf9ef6393f5e0cead75b">TIVX_NODE_MAX_IN_NODES</a>&nbsp;&nbsp;&nbsp;(8u)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Max nodes feeding input to a given node.  <a href="group__group__tivx__obj__desc__cfg.html#ga65703b0b4923bf9ef6393f5e0cead75b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__obj__desc__cfg.html#ga9394c906b6f2581dcbfe1b830d31eee5">TIVX_PYRAMID_MAX_LEVEL_OBJECTS</a>&nbsp;&nbsp;&nbsp;(32)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Maximum number of objects supported in pyramid.  <a href="group__group__tivx__obj__desc__cfg.html#ga9394c906b6f2581dcbfe1b830d31eee5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__obj__desc__cfg.html#ga1d57be13326dfee5ccb50f6bfae364da">TIVX_OBJECT_ARRAY_MAX_ITEMS</a>&nbsp;&nbsp;&nbsp;(32)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Maximum number of objects supported in object array.  <a href="group__group__tivx__obj__desc__cfg.html#ga1d57be13326dfee5ccb50f6bfae364da"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__obj__desc.html#ga412e9ff53c1a69e16a33ac511366f742">TIVX_NODE_FLAG_IS_REPLICATED</a>&nbsp;&nbsp;&nbsp;(0x00000001u)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Flag to indicate if node is replicated.  <a href="group__group__tivx__obj__desc.html#ga412e9ff53c1a69e16a33ac511366f742"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__obj__desc.html#gaf7ae2fec33c7997a3106f061624d9add">TIVX_NODE_FLAG_IS_EXECUTED</a>&nbsp;&nbsp;&nbsp;(0x00000002u)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Flag to indicate if node is executed.  <a href="group__group__tivx__obj__desc.html#gaf7ae2fec33c7997a3106f061624d9add"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__obj__desc.html#ga2f5e855e1a88921989451ebf30b70778">TIVX_NODE_FLAG_IS_USER_CALLBACK</a>&nbsp;&nbsp;&nbsp;(0x00000004u)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Flag to indicate if user callback is requested after node complete.  <a href="group__group__tivx__obj__desc.html#ga2f5e855e1a88921989451ebf30b70778"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__obj__desc.html#ga4a01ab216dbd031e89a5b4367bb33881">TIVX_NODE_FLAG_IS_TARGET_KERNEL</a>&nbsp;&nbsp;&nbsp;(0x00000008u)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Flag to indicate if kernel associated with this node is a user kernel or target kernel.  <a href="group__group__tivx__obj__desc.html#ga4a01ab216dbd031e89a5b4367bb33881"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__obj__desc.html#gaa345cc795baa95e1d5ff39694700ad87">TIVX_GRAPH_MAX_NODES</a>&nbsp;&nbsp;&nbsp;(32u)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Max possible nodes in graph.  <a href="group__group__tivx__obj__desc.html#gaa345cc795baa95e1d5ff39694700ad87"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__obj__desc.html#ga5851041910fe499bd7839500a534a293">TIVX_NODE_MAX_REPLICATE</a>&nbsp;&nbsp;&nbsp;(32u)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Max number of replicated nodes.  <a href="group__group__tivx__obj__desc.html#ga5851041910fe499bd7839500a534a293"></a><br/></td></tr>
<tr><td colspan="2"><h2>Enumerations</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__obj__desc.html#ga4858f5eeb4edfc862b9b8b2039ed8109">tivx_obj_desc_type_e</a> { <br/>
&nbsp;&nbsp;<a class="el" href="group__group__tivx__obj__desc.html#gga4858f5eeb4edfc862b9b8b2039ed8109a39d38c49ae7032501ac90a53c38535d6">TIVX_OBJ_DESC_IMAGE</a> =  0x0, 
<a class="el" href="group__group__tivx__obj__desc.html#gga4858f5eeb4edfc862b9b8b2039ed8109a8eda0effb9ba17eb34edd8e764d6d902">TIVX_OBJ_DESC_SCALAR</a> =  0x1, 
<a class="el" href="group__group__tivx__obj__desc.html#gga4858f5eeb4edfc862b9b8b2039ed8109a0e0a126cc88b7030ec9c2fed3de86b36">TIVX_OBJ_DESC_REMAP</a> =  0x2, 
<a class="el" href="group__group__tivx__obj__desc.html#gga4858f5eeb4edfc862b9b8b2039ed8109a0862c59114385a892326038f1c102bf1">TIVX_OBJ_DESC_NODE</a> =  0x3, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__group__tivx__obj__desc.html#gga4858f5eeb4edfc862b9b8b2039ed8109a2c2ef770b3f13586c650244a0c5f6313">TIVX_OBJ_DESC_CMD</a> =  0x4, 
<a class="el" href="group__group__tivx__obj__desc.html#gga4858f5eeb4edfc862b9b8b2039ed8109acd14a950c029d02bd12b014dc487d808">TIVX_OBJ_DESC_MATRIX</a> =  0x5, 
<a class="el" href="group__group__tivx__obj__desc.html#gga4858f5eeb4edfc862b9b8b2039ed8109af5a9c8ac33f96f177cd3728247c9ea6a">TIVX_OBJ_DESC_LUT</a> =  0x6, 
<a class="el" href="group__group__tivx__obj__desc.html#gga4858f5eeb4edfc862b9b8b2039ed8109ae19fb3ab5bc0f60b07e7c7739f676ea3">TIVX_OBJ_DESC_CONVOLUTION</a> =  0x7, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__group__tivx__obj__desc.html#gga4858f5eeb4edfc862b9b8b2039ed8109a890a0906323b92d8258238c3afe03c9a">TIVX_OBJ_DESC_DISTRIBUTION</a> =  0x8, 
<a class="el" href="group__group__tivx__obj__desc.html#gga4858f5eeb4edfc862b9b8b2039ed8109a2756ef47debca4917e1d00337270ae2d">TIVX_OBJ_DESC_THRESHOLD</a> =  0x9, 
<a class="el" href="group__group__tivx__obj__desc.html#gga4858f5eeb4edfc862b9b8b2039ed8109a97895f8da837d0d5993433abf0b2394c">TIVX_OBJ_DESC_ARRAY</a> =  0xA, 
<a class="el" href="group__group__tivx__obj__desc.html#gga4858f5eeb4edfc862b9b8b2039ed8109ac3a0cf06df9653de61a3364a43e63f79">TIVX_OBJ_DESC_PYRAMID</a> =  0xB, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__group__tivx__obj__desc.html#gga4858f5eeb4edfc862b9b8b2039ed8109a4b1687cd6ceb79de00a7af48ade5e69d">TIVX_OBJ_DESC_OBJARRAY</a> =  0xC, 
<a class="el" href="group__group__tivx__obj__desc.html#gga4858f5eeb4edfc862b9b8b2039ed8109a5fa1efc8e11c5988c7a38228143d4a7f">TIVX_OBJ_DESC_INVALID</a> =  0xFFFFu
<br/>
 }</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><p>Enum that list all possible object descriptor type's. </p>
 <a href="group__group__tivx__obj__desc.html#ga4858f5eeb4edfc862b9b8b2039ed8109">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__obj__desc.html#ga25fa81b14d1e21751503d0b836ff5d77">tivx_image_create_type_e</a> { <br/>
&nbsp;&nbsp;<a class="el" href="group__group__tivx__obj__desc.html#gga25fa81b14d1e21751503d0b836ff5d77abdae207642f6d4eac4885ff53e3a1042">TIVX_IMAGE_NORMAL</a>, 
<a class="el" href="group__group__tivx__obj__desc.html#gga25fa81b14d1e21751503d0b836ff5d77a532f5e03024de0f3c8ce71bfb55b5de4">TIVX_IMAGE_UNIFORM</a>, 
<a class="el" href="group__group__tivx__obj__desc.html#gga25fa81b14d1e21751503d0b836ff5d77ac1cc0f02de444d51546f8b2d565f4f35">TIVX_IMAGE_VIRTUAL</a>, 
<a class="el" href="group__group__tivx__obj__desc.html#gga25fa81b14d1e21751503d0b836ff5d77ac6e8c647daf958ce6f40152d5de93907">TIVX_IMAGE_FROM_HANDLE</a>, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__group__tivx__obj__desc.html#gga25fa81b14d1e21751503d0b836ff5d77ab0934aa925c10c43c11560e58ef59cbf">TIVX_IMAGE_FROM_ROI</a>, 
<a class="el" href="group__group__tivx__obj__desc.html#gga25fa81b14d1e21751503d0b836ff5d77ace7f7be141ec95c72d6b25bd4cf6b18a">TIVX_IMAGE_FROM_CHANNEL</a>
<br/>
 }</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><p>Method by which image is created. </p>
 <a href="group__group__tivx__obj__desc.html#ga25fa81b14d1e21751503d0b836ff5d77">More...</a><br/></td></tr>
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__obj__desc__cfg.html#ga1e02e5d729613194b6a7aa2c441688df">tivxGetObjDescList</a> (uint16_t obj_desc_id[], <a class="el" href="structtivx__obj__desc__t.html">tivx_obj_desc_t</a> *obj_desc[], uint32_t num_desc_id)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Function to get the pointer to object descriptors for the given object descriptor id.  <a href="group__group__tivx__obj__desc__cfg.html#ga1e02e5d729613194b6a7aa2c441688df"></a><br/></td></tr>
</table>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
